@charset "utf-8";

:root {
  /* --swiper-theme-color: #007aff; */
  --swiper-theme-color: black !important;
}


/* ファーストビュー設定 */
.title {
  width: 90%;
  height: calc(100vh - 55px);
  position: relative;
  margin: 0 auto 150px;
  background-image: url(../img/optional/02.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}


/* スライダー全体 */
.vertical-slider {
  width: 90%;
  height: calc(95vh - 55px);
  max-width: 1700px;
  margin: 0 auto;
}

/* スライド */
.vertical-slider__slide {
  height: auto !important;
  width: 90%;
  border: 1px solid #737373;
  border-bottom: none;
}

.vertical-slider__slide:last-of-type {
  border-bottom: 1px solid #737373;
}

/* １枚目のスライド 　ファーストビュー*/
.area {
  width: 100%;
  height: calc(95vh - 55px);
  border-bottom: none;
  object-fit: cover;
  opacity: 0.2;
}

/* ロゴ貼付時の設定 */
.swiper-container {
  position: relative;
}

.staylogo {
  width: 15%;
  /* height: 20vh; */
  position: absolute;
  top: 25%;
  right: 43%;
}

.sublogo {
  width: 10%;
  position: absolute;
  top: 20%;
  right: 39%;
}

.whitelogo {
  display: none;
}



/*====================================
スライド：はじめに～過ごす（共通設定）
===================================*/
/* 2〜6枚目を共通で横並び */
.vertical-slider__slide:nth-child(2),
.vertical-slider__slide:nth-child(3),
.vertical-slider__slide:nth-child(4),
.vertical-slider__slide:nth-child(5),
.vertical-slider__slide:nth-child(6) {
  display: flex;
}

/* 左側（画像）共通設定 */
.vertical-slider__slide:nth-child(n+2) img {
  flex: 0 0 60%;
  max-width: 60%;
  height: calc(100vh - 98px);
  object-fit: cover;
  opacity: 0.7;
}

/* 右側（テキスト）共通設定 */
.vertical-slider__slide:nth-child(n+2) .flexOne,
.vertical-slider__slide:nth-child(n+2) .flexTwo {
  flex: 0 0 40%;
  max-width: 40%;
  margin: 0;
  writing-mode: vertical-rl;
  padding: 3%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 2rem;
}


/* 全スライド */
.flexOne,
.flexTwo {
  position: relative;
  width: 100%;
}

.flexOne h2,
.flexTwo h2 {
  font-size: clamp(1.5rem, 2vw, 2rem);
  letter-spacing: .6rem;
}

.flexOne p,
.flexTwo p {
  line-height: 2.2;
}

.flexOne .detailsbtn a,
.flexTwo .detailsbtn a {
  height: 15vh;
  border: 1px solid #737373;
  text-align: center;
  position: absolute;
  bottom: 5%;
  padding: 8px;
  font-size: clamp(1.2rem, 2vw, 1.3rem);
  transition: 0.7s;
}

.flexOne .detailsbtn a:hover,
.flexTwo .detailsbtn a:hover {
  color: white;
  background-color: #505050;
  transition: 0.7s;
  cursor: pointer;
}


/* ドット配置 */
.swiper-pagination-vertical.swiper-pagination-bullets,
.swiper-vertical>.swiper-pagination-bullets {
  left: -5px;
  transform: translate3d(-45px, -50%, 0) !important;
}

.swiper-scrollbar {
  display: none;
}



/* レスポンシブ設定 */
@media (max-width: 800px) {

  .btn span,
  .btn span::before,
  .btn span::after {
    background-color: #fff;
  }

  .vertical-slider {
    height: 100vh;
  }

  .area {
    height: 100vh;
  }

  .staylogo,
  .sublogo {
    display: none;
  }

  .whitelogo {
    display: block;
    width: 40%;
    position: absolute;
    bottom: 10%;
    right: 0;
  }

  .whitelogo span {
    font-size: 2.2rem;
  }

  .vertical-slider__slide:nth-child(2),
  .vertical-slider__slide:nth-child(3),
  .vertical-slider__slide:nth-child(4),
  .vertical-slider__slide:nth-child(5),
  .vertical-slider__slide:nth-child(6) {
    display: block;
  }

  .swiper-wrapper,
  .vertical-slider__wrapper,
  .swiper-container .vertical-slider {
    display: block !important;
  }

  .swiper-container {
    width: 100%;
  }

  .vertical-slider__slide:first-of-type img {
    opacity: .9;
  }

  .vertical-slider__slide:nth-child(2) img,
  .vertical-slider__slide:nth-child(3) img,
  .vertical-slider__slide:nth-child(4) img,
  .vertical-slider__slide:nth-child(5) img,
  .vertical-slider__slide:nth-child(6) img {
    max-width: 100%;
    height: 100vh;
    opacity: .2;
  }

  .swiper-slide {
    border: none;
    position: relative;
  }

  .vertical-slider__slide:last-of-type {
    border-bottom: none;
  }

  .vertical-slider__slide:nth-child(n+2) .flexOne,
  .vertical-slider__slide:nth-child(n+2) .flexTwo {
    max-width: 100%;
    height: calc(100vh - 70px);
    padding: 4rem;
    gap: 1rem;
  }

  .flexOne,
  .flexTwo {
    position: absolute;
    top: 0;
  }

  .flexOne .detailsbtn a,
  .flexTwo .detailsbtn a {
    height: auto;
    background-color: var(--main-color);
    color: #fff;
  }

  .flexOne p,
  .flexTwo p {
    line-height: 2;
  }

  .firstTxt .detailsbtn,
  .secondTxt .detailsbtn {
    color: var(--main-color);
  }
}